#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	ofSetVerticalSync( true );
	ofBackground( 0,0,0 );
	ofSetCircleResolution( 100 );
}

//--------------------------------------------------------------
void testApp::update(){

}

//--------------------------------------------------------------
void testApp::draw(){
	float xorig = ofGetWidth()/2;
	float yorig = ofGetHeight()/2;
	
	for ( int i = 0; i < 20; i++ ){
		
		float radius = i * 15 + 5*sin(.37 * i);
		float angle = ofGetElapsedTimef() * i/ 7.0 ;
		//float angle = 0;
		for ( int j = 0; j < i; j++ ){
			//float x = xorig + radius * cos( .5*angle + (j+1) + PI/i);
			//float y = yorig + radius * -sin( .5*angle + (j+1) + PI/i );
			
			float x = xorig + radius * cos( .73*angle + (j+1) + PI/i) * sin(angle);
			float y = yorig + radius * -sin( .42*angle + (j+1) + PI/i ) * cos( angle );
			
			//float x = j + xorig + radius * cos( (2.1+j)*(angle+j) );
			//float y = yorig + radius * sin( (1.3+j)*(angle+j));
			
			ofSetColor( 255-ofMap(-sin(.5*angle), -PI/2, PI/2, 0, 255, true),
						0,
						255-ofMap(cos(.5*angle), -PI/2, PI/2, 0, 255, true));
			ofCircle( x,y, 10 );
		}
		
	}	
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

